# JDBC escape syntax for time formats

Derby interprets the JDBC escape syntax for time as equivalent to the correct SQL syntax for times. Derby also supports the ISO format of 8 characters (6 digits, and 2 decimal points).

#### Syntax

    {t 'hh:mm:ss'}

#### Equivalent to

    TIME 'hh:mm:ss'

#### Example

    VALUES {t '20:00:03'}

Parent topic: JDBC escape syntax
Related reference
JDBC escape keyword for call statements
JDBC escape syntax
JDBC escape syntax for LIKE clauses
JDBC escape syntax for fn keyword
JDBC escape syntax for outer joins
JDBC escape syntax for date formats
JDBC escape syntax for timestamp formats